%define	_hordeapp sam
%define	_snap	2007-03-15
#define	_rc		rc1
%define	_rel	4

%include	/usr/lib/rpm/macros.php
Summary:	Sam - module permitting each user to manage his SpamAssassin or Amavisd-new preferences
Summary(pl.UTF-8):	Sam - moduł pozwalający użytkownikowi zarządzać swoimi regułami SpamAssassina oraz Amavisd-new
Name:		horde-%{_hordeapp}
Version:	0.1
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-HEAD-%{_snap}.tar.gz
# Source0-md5:	ada76168961e20855f797e898caf88fe
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
URL:		http://www.horde.org/sam/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
BuildRequires:	tar >= 1:1.15.1
Requires:	apache(mod_access)
Requires:	horde >= 3.0
Requires:	webapps
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Sam is the Horde module permitting each user to manage his
SpamAssassin or Amavisd-new preferences. For example, it can authorize
to change SpamAssassin user scores, manage blacklist and whitelist.

User preferences can be stored in a variety of backends such as a SQL
database, LDAP storage or on an FTP server.

%description -l pl.UTF-8
Sam to moduł Horde pozwalający każdemu użytkownikowi zarządzać swoimi
regułami SpamAssassina oraz Amavisd-new. Na przykład umożliwia zmianę
punktacji SpamAssassina, zarządzanie czarnymi i białymi listami.

Konfiguracja użytkownika może być przechowywana na różnych mediach,
takich jak baza SQL, LDAP czy serwer FTP.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

# CHECK FIRST DOES IT HAVE SQL AND FILE THERE.
if [ "$1" = 1 ]; then
%banner %{name} -e <<-EOF
	IMPORTANT:
	If you are installing Sam for the first time, You may need to
	create the Sam database tables. You can find some scripts in:
	%{_docdir}/%{name}-%{version}/scripts/sql/
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Mon Aug 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-sam.git;a=log;h=master

* Mon Aug 05 2013 Jan Rękorajski <baggins@pld-linux.org> 581da6a
- updated noautoreq for rpm5
- rel 4

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 407fb32
- migrated to apache 2.4

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> fdd6107
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> f4831c4
- rel 2

* Thu Mar 15 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4d19a9e
- updated to 2007-03-15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b3b4322
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 96ef26e
- converted to UTF-8

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> aa34409
- update webapp triggers due apache1 package split

* Sat Apr 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 96b587b
- en and pl fixes

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 8fc6911
- GPL license doesn't require last section of en %description

* Wed Mar 29 2006 spider <spider@pld-linux.org> 5acc9a2
- pl
- is last paragraph in eng description is needed ?

* Tue Mar 28 2006 Elan Ruusamäe <glen@pld-linux.org> d9c2fdd
- checked license
- added md5, cleanups

* Tue Mar 28 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 11b1549
- apache configuration file for horde-sam

* Tue Mar 28 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 6107574
- initial spec

